package body MSHTML.HTMLMarqueeElementEvents2_Object is

   function onhelp
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onhelp,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onhelp;

   function onclick
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onclick,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onclick;

   function ondblclick
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_ondblclick,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondblclick;

   function onkeypress
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onkeypress,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onkeypress;

   procedure onkeydown
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onkeydown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onkeydown;

   procedure onkeyup
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onkeyup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onkeyup;

   procedure onmouseout
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmouseout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseout;

   procedure onmouseover
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmouseover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseover;

   procedure onmousemove
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmousemove,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmousemove;

   procedure onmousedown
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmousedown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmousedown;

   procedure onmouseup
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmouseup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseup;

   function onselectstart
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onselectstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onselectstart;

   procedure onfilterchange
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onfilterchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfilterchange;

   function ondragstart
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_ondragstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragstart;

   function onbeforeupdate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onbeforeupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforeupdate;

   procedure onafterupdate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onafterupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onafterupdate;

   function onerrorupdate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onerrorupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onerrorupdate;

   function onrowexit
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onrowexit,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowexit;

   procedure onrowenter
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onrowenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowenter;

   procedure ondatasetchanged
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_ondatasetchanged,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondatasetchanged;

   procedure ondataavailable
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_ondataavailable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondataavailable;

   procedure ondatasetcomplete
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_ondatasetcomplete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondatasetcomplete;

   procedure onlosecapture
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onlosecapture,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onlosecapture;

   procedure onpropertychange
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onpropertychange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onpropertychange;

   procedure onscroll
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onscroll,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onscroll;

   procedure onfocus
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onfocus,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfocus;

   procedure onblur
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onblur,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onblur;

   procedure onresize
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onresize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onresize;

   function ondrag
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_ondrag,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondrag;

   procedure ondragend
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_ondragend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragend;

   function ondragenter
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_ondragenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragenter;

   function ondragover
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_ondragover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragover;

   procedure ondragleave
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_ondragleave,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragleave;

   function ondrop
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_ondrop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondrop;

   function onbeforecut
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onbeforecut,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforecut;

   function oncut
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_oncut,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncut;

   function onbeforecopy
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onbeforecopy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforecopy;

   function oncopy
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_oncopy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncopy;

   function onbeforepaste
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onbeforepaste,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforepaste;

   function onpaste
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onpaste,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onpaste;

   function oncontextmenu
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_oncontextmenu,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncontextmenu;

   procedure onrowsdelete
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onrowsdelete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowsdelete;

   procedure onrowsinserted
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onrowsinserted,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowsinserted;

   procedure oncellchange
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_oncellchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncellchange;

   procedure onreadystatechange
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onreadystatechange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onreadystatechange;

   procedure onlayoutcomplete
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onlayoutcomplete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onlayoutcomplete;

   procedure onpage
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onpage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onpage;

   procedure onmouseenter
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmouseenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseenter;

   procedure onmouseleave
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmouseleave,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseleave;

   procedure onactivate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onactivate;

   procedure ondeactivate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_ondeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondeactivate;

   function onbeforedeactivate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onbeforedeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforedeactivate;

   function onbeforeactivate
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onbeforeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforeactivate;

   procedure onfocusin
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onfocusin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfocusin;

   procedure onfocusout
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onfocusout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfocusout;

   procedure onmove
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmove,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmove;

   function oncontrolselect
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_oncontrolselect,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncontrolselect;

   function onmovestart
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onmovestart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmovestart;

   procedure onmoveend
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onmoveend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmoveend;

   function onresizestart
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onresizestart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onresizestart;

   procedure onresizeend
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onresizeend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onresizeend;

   function onmousewheel
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLMarqueeElementEvents2_onmousewheel,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmousewheel;

   procedure onchange
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onchange;

   procedure onselect
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onselect,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onselect;

   procedure onbounce
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onbounce,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbounce;

   procedure onfinish
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onfinish,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfinish;

   procedure onstart
     (This    : HTMLMarqueeElementEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLMarqueeElementEvents2_onstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onstart;

end MSHTML.HTMLMarqueeElementEvents2_Object;

